Bug 1034353 - Terminal replaced by xfce4-terminal
Summary: Terminal replaced by xfce4-terminal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-xmonad-contrib
Version: 19
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-25 16:45 UTC by scott
Modified: 2013-12-28 02:07 UTC (History)
5 users (show)

Fixed In Version: ghc-xmonad-contrib-0.11.2-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-28 02:06:19 UTC


Attachments (Terms of Use)
Patch against ghc-xmonad-contrib 0.11.2 (433 bytes, patch)
2013-11-25 16:45 UTC, scott
no flags Details | Diff

Description scott 2013-11-25 16:45:53 UTC
Created attachment 828756 [details]
Patch against ghc-xmonad-contrib 0.11.2

Description of problem:
The XMonad.Config.Xfce module uses the old name of the xfce4-terminal executable, which was renamed from "Terminal" to "xfce4-terminal" in xfce4-terminal 0.6.0 (0.6.2 is in Fedora 19).

Version-Release number of selected component (if applicable):
0.11.2-1.fc19

How reproducible:
Always

Steps to Reproduce:
1. In ~/.xmonad/xmonad.hs, import XMonad and XMonad.Config.Xfce and assign `main = xmonad xfceConfig`
2. Recompile and restart xmonad
3. Press mod-shift-return

Actual results:
Nothing happens

Expected results:
xfce4-terminal opens

Additional info:
Patch attached

Comment 1 Jens Petersen 2013-11-26 03:22:32 UTC
Thanks for reporting this - I posted your patch upstream
with acknowledgement.

I guess we should update Fedora 19+ for this too through it
will change the xmonad-contrib ABI hash alas.

Comment 2 Fedora Update System 2013-11-26 07:39:21 UTC
ghc-xmonad-contrib-0.11.2-3.fc20,bluetile-0.6-22.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-xmonad-contrib-0.11.2-3.fc20,bluetile-0.6-22.fc20

Comment 3 Fedora Update System 2013-11-26 08:37:09 UTC
ghc-xmonad-contrib-0.11.2-3.fc19,bluetile-0.6-22.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-xmonad-contrib-0.11.2-3.fc19,bluetile-0.6-22.fc19

Comment 4 Fedora Update System 2013-11-26 17:56:10 UTC
Package ghc-xmonad-contrib-0.11.2-3.fc20, bluetile-0.6-22.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ghc-xmonad-contrib-0.11.2-3.fc20 bluetile-0.6-22.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22141/ghc-xmonad-contrib-0.11.2-3.fc20,bluetile-0.6-22.fc20
then log in and leave karma (feedback).

Comment 5 Jens Petersen 2013-12-23 08:06:19 UTC
Can you test if this fixes the problem?

Comment 6 Jens Petersen 2013-12-23 08:07:23 UTC
Is there a good way to run xmonad under XFCE?

Comment 7 scott 2013-12-23 11:16:14 UTC
Thanks Jens; ghc-xmonad-contrib-0.11.2-3.fc20 fixes the problem.

I add `xmonad --replace` to the XFCE startup applications as suggested on the xmonad wiki, and find this works well.

Comment 8 Fedora Update System 2013-12-28 02:06:19 UTC
ghc-xmonad-contrib-0.11.2-3.fc19, bluetile-0.6-22.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-12-28 02:07:38 UTC
ghc-xmonad-contrib-0.11.2-3.fc20, bluetile-0.6-22.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.